## ibus-qt 1.3.2

=== docs/CMakeLists.txt ===
add_custom_target(docs
    COMMAND ${DOXYGEN_EXECUTABLE}
    SOURCES Doxyfile
    )
