=== debian/changelog ===
ibus-qt (1.3.2-2) unstable; urgency=medium

  * Remove recommends: qt4-qtconfig.  Closes: #611190
  * Quiet Qt via DEB_CFLAGS_MAINT_APPEND. Closes: #738136 

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Feb 2014 02:35:34 +0900

ibus-qt (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update package description, watch and Uploaders.
  * Use hardening.
  * Bump Standards-Version to 3.9.5
  * Lintian override for symbols reminder since this is C++.
  * Add recommends: qt4-qtconfig.  Closes: #611190

 -- Osamu Aoki <osamu@debian.org>  Mon, 27 Jan 2014 00:12:16 +0900

ibus-qt (1.3.1-4) unstable; urgency=low

  * Team upload.
  * M-A enabled.  Closes: #704812 

 -- Osamu Aoki <osamu@debian.org>  Thu, 12 Sep 2013 22:08:02 +0900

ibus-qt (1.3.1-3) unstable; urgency=low

  * Team upload.
  * Bump compat to 9, Standards-Version to 3.9.4.
  * Install AUTHORS and README in right place.
  * Build for ibus 1.5 transition.

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Sep 2013 23:37:11 +0900

ibus-qt (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Qt 4.8 (multiarch) by updating ibus-qt4.install to use
    multiarch paths (Closes: #662775)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 May 2012 02:44:44 -0400

ibus-qt (1.3.1-2) unstable; urgency=low

  * Fix "FTBFS: FTBFS on latest unstable."
    Depend on libibus-1.0-dev instead of libibus-dev (Closes: #640040)
  * Fix "INSTALL file unnecessary" (Closes: #632817)
  * Set VCS to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Bump Standards-Version to 3.9.2

 -- Asias He <asias.hejun@gmail.com>  Mon, 05 Sep 2011 09:23:12 +0800
