=== debian/control ===
Source: ibus-qt
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>,
           Asias He <asias.hejun@gmail.com>,
           Osamu Aoki <osamu@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               doxygen,
               libdbus-1-dev,
               libibus-1.0-dev,
               libicu-dev,
               libqt4-dev (>= 4:4.8.0~),
               libx11-dev,
               pkg-config
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://anonscm.debian.org/pkg-ime/ibus-qt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-qt.git

Package: ibus-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (plugin)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 ibus-qt4 is the QT4 client of ibus, it provide a qt-immodule for ibus.

Package: libibus-qt1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (library)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 libibus-qt1 is the library of ibus-qt.

Package: libibus-qt-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-dev,
         libibus-1.0-dev,
         libibus-qt1 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (development package)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the header files which is needed for
 developing the ibus-qt applications.
