=== debian/changelog ===
ibus-qt (1.3.3-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:53:15 +0000

ibus-qt (1.3.3-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:41:24 +0000

ibus-qt (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update uploaders.  Closes: #841802 
  * Update upstream URL.
  * Set hardening=+all.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 11:42:32 +0900
