=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: LI Daobing <lidaobing@debian.org>,
-           Asias He <asias.hejun@gmail.com>,
-           Osamu Aoki <osamu@debian.org>
+Uploaders:  Osamu Aoki <osamu@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                doxygen,
@@ -14,10 +12,10 @@
                libqt4-dev (>= 4:4.8.0~),
                libx11-dev,
                pkg-config
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/ibus
-Vcs-Git: git://anonscm.debian.org/pkg-ime/ibus-qt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-qt.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/ibus/ibus/wiki
+Vcs-Git: https://anonscm.debian.org/git/pkg-ime/ibus-qt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ime/ibus-qt.git
 
 Package: ibus-qt4
 Architecture: any
