=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            -DLIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	        dh_makeshlibs -Nibus-qt4
