=== debian/watch ===
version=3
opts=uversionmangle=s/-Source$// \
https://github.com/ibus/ibus-qt/releases \
.*/ibus-qt(?:-|_|_v|V)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
##################################################################
#  https://github.com/ibus/ibus-qt/releases
# <a href="/ibus/ibus-qt/releases/download/1.3.3/ibus-qt-1.3.3-Source.tar.gz" rel="nofollow">
